.features{
    @include gridColCenter;
    margin: 15rem 0;

    display: grid;
    // grid-template-columns: repeat(3, 1fr);
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 6rem;
    align-items: start;
}